Groups
Get a group proposal
Returns the current queued group proposal (only one can exist at a time).
GET
/
groups
/
proposals
cURL
curl --request GET \
--url https://api.onchainden.com/api/v1/groups/proposals \
--header 'Authorization: Bearer <token>'const client = new DenClient({ apiKey: 'ck_live_...' });
const proposal = await client.getGroupProposal();
{
"data": {
"id": "prop_grp_create_123",
"resourceType": "groups",
"action": "create",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"items": [
{
"name": "Finance Team",
"memberIds": [
"mem_1",
"mem_2"
]
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "group",
"id": "grp_new1",
"uri": "/api/v1/groups/grp_new1"
}
]
}
}
}{
"error": {
"code": "unauthorized",
"message": "Invalid API key"
}
}{
"error": {
"code": "notFound",
"message": "Resource not found"
}
}Authorizations
API key authentication. Include your API key in the Authorization header.
Response
Group proposal details
- Groups Create
- Groups Update
- Groups Delete
Show child attributes
Show child attributes
Example:
{
"id": "prop_grp_create_123",
"resourceType": "groups",
"action": "create",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"items": [
{
"name": "Finance Team",
"memberIds": ["mem_1", "mem_2"]
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "group",
"id": "grp_new1",
"uri": "/api/v1/groups/grp_new1"
}
]
}
}
⌘I
cURL
curl --request GET \
--url https://api.onchainden.com/api/v1/groups/proposals \
--header 'Authorization: Bearer <token>'const client = new DenClient({ apiKey: 'ck_live_...' });
const proposal = await client.getGroupProposal();
{
"data": {
"id": "prop_grp_create_123",
"resourceType": "groups",
"action": "create",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"items": [
{
"name": "Finance Team",
"memberIds": [
"mem_1",
"mem_2"
]
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "group",
"id": "grp_new1",
"uri": "/api/v1/groups/grp_new1"
}
]
}
}
}{
"error": {
"code": "unauthorized",
"message": "Invalid API key"
}
}{
"error": {
"code": "notFound",
"message": "Resource not found"
}
}